body {
    margin: 0;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-family: sans-serif;
    font-size: 12pt;
    --dark-blue: rgb(74, 97, 146);
    --line-height: 32pt;
    --radius : 5pt;
    --border-width: 2pt;
}
form {
    margin: 0;
}
input, button {
    font-family: sans-serif;
    font-size: 12pt;
}
#vertical-flex {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
#login-pane {
    border: 4pt solid #ccc;
    border-radius: var(--radius);
}
#login-pane div {
    margin: 5pt;
    line-height: var(--line-height);
}
.label {
    display: inline-block;
    vertical-align: middle;
    width: 150pt;
    margin-right: 5pt;
    text-align: right;
}
.edit {
    display: inline-block;
    vertical-align: middle;
    width: 200pt;
    height: var(--line-height);
    border: 0;
    border-top: var(--border-width) solid transparent;
    border-bottom: var(--border-width) solid var(--dark-blue);
    overflow-x: hidden;
    outline: none;
    padding: 0;
}
.edit:focus {
    outline-style: none;
}
.centered {
    text-align: center;
    vertical-align: middle;
}
button {
    display: inline-block;
    vertical-align: middle;
    width: 150pt;
    height: var(--line-height);
    color: var(--dark-blue);
    background-color: transparent;
    transition-duration: 0.4s;
    border: var(--border-width) solid var(--dark-blue); 
    border-radius: var(--radius);
    cursor: pointer;
}
button:hover {
    color: white;
    background-color: var(--dark-blue);    
}